AnnotationMetadataReader.EmptyAnnotationVisitor (Grails 6.0.0)

Package: org.grails.asm

## [Java] Class AnnotationMetadataReader.EmptyAnnotationVisitor

- org.grails.asm.AnnotationMetadataReader.EmptyAnnotationVisitor

-     private static class AnnotationMetadataReader.EmptyAnnotationVisitor
      extends org.springframework.asm.AnnotationVisitor

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EmptyAnnotationVisitor ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public org.springframework.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String name, java.lang.String desc)`
    `` | `public org.springframework.asm.AnnotationVisitor` | `visitArray(java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.asm.AnnotationVisitor` | `org.springframework.asm.AnnotationVisitor#visit(java.lang.String, java.lang.Object), org.springframework.asm.AnnotationVisitor#visitEnd(), org.springframework.asm.AnnotationVisitor#visitAnnotation(java.lang.String, java.lang.String), org.springframework.asm.AnnotationVisitor#visitEnum(java.lang.String, java.lang.String, java.lang.String), org.springframework.asm.AnnotationVisitor#visitArray(java.lang.String), org.springframework.asm.AnnotationVisitor#getDelegate(), org.springframework.asm.AnnotationVisitor#wait(long), org.springframework.asm.AnnotationVisitor#wait(long, int), org.springframework.asm.AnnotationVisitor#wait(), org.springframework.asm.AnnotationVisitor#equals(java.lang.Object), org.springframework.asm.AnnotationVisitor#toString(), org.springframework.asm.AnnotationVisitor#hashCode(), org.springframework.asm.AnnotationVisitor#getClass(), org.springframework.asm.AnnotationVisitor#notify(), org.springframework.asm.AnnotationVisitor#notifyAll()`

- - ### Constructor Detail

    - #### public EmptyAnnotationVisitor()

  - ### Method Detail

    - #### @java.lang.Override public org.springframework.asm.AnnotationVisitor visitAnnotation(java.lang.String name, java.lang.String desc)

    - #### @java.lang.Override public org.springframework.asm.AnnotationVisitor visitArray(java.lang.String name)